> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nativehub.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user info

> Retrieve authenticated user information



## OpenAPI

````yaml GET /auth/me
openapi: 3.0.3
info:
  title: NativeMessage API
  version: 1.0.0
  description: Complete API documentation for NativeMessage platform
  contact:
    name: NativeMessage Support
    email: support@nativemessage.com
servers:
  - url: https://api-message.nativehub.live/api/v1
    description: Production server
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /auth/me:
    get:
      tags:
        - Auth
      summary: Get current user info
      description: Retrieve authenticated user information
      operationId: getCurrentUser
      responses:
        '200':
          description: User information retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserInfo'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    UserInfo:
      type: object
      properties:
        id:
          type: string
          format: uuid
        account_id:
          type: string
          format: uuid
        tenant_id:
          type: string
          format: uuid
        username:
          type: string
        email:
          type: string
          format: email
        role:
          type: string
        permissions:
          type: array
          items:
            type: string
        status:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      example:
        id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        account_id: b2c3d4e5-f6a7-8901-bcde-f12345678901
        tenant_id: c3d4e5f6-a7b8-9012-cdef-123456789012
        username: john.doe
        email: john.doe@example.com
        role: admin
        permissions:
          - messages.send
          - campaigns.manage
          - contacts.manage
        status: active
        created_at: '2026-01-15T10:30:00Z'
        updated_at: '2026-02-10T14:22:00Z'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      example:
        error: Invalid request parameters
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````